Backport boiler.mk from master
Fix dumb errors in the rlm_sql reconnection logic. Fixes #651
Fix dumb errors in the rlm_sql reconnection logic. Fixes #651
Need to check that rlm_sql_select_query != RLM_SQL_OK, < 0 is not enough as it may return RLM_SQL_RECONNECT Fixes #651
Need to check that rlm_sql_select_query != RLM_SQL_OK, < 0 is not enough as it may return RLM_SQL_RECONNECT Fixes #651
